[package]
name = "tts-test"
version = "0.1.0"
edition = "2024"

[[bin]]
name = "tts-test"
test = false
bench = false

[dependencies]
cortex-m = {
	version = "0.7",
        features = ["inline-asm", "critical-section-single-core"]
}
cortex-m-rt = "0.7"

embassy-stm32 = {
	version = "0.6",
	features = [
                 "rt",
                 "defmt",
                 "memory-x",
                 # "stm32g0b1re",
                 "stm32u585ci",
                 "time-driver-any",
                 "exti",
                 "unstable-pac",
                 "cyw43"
        ],
}
embassy-executor = {
	version = "0.10",
	features = ["platform-cortex-m", "executor-thread", "defmt"],
}
embassy-time = {
	version = "0.5",
	features = ["defmt", "defmt-timestamp-uptime", "tick-hz-32_768"],
}

cyw43 = {
	version = "0.7",
        features = ["defmt"],
}

embedded-hal-bus = "0.3"
embedded-can = "0.4"

defmt = "1.1"
defmt-rtt = "1.2"

panic-probe = { version = "1.0", features = ["print-defmt"]}

[profile.release]
debug = 2
